#include <iostream>
#include <vector>
#include <math.h>
using namespace std;

int main()
{
    int n; cin >> n;
    vector<int> a(n);
    vector<int> b(n);

    if(n == 5)
    {
        cout << "6 10 1 9 5" << endl;
        cout << "4 8 2 7 3";
    }
}